#ifndef CHierNav_H
#define CHierNav_H

#include "CHierDisplay.H"

class CHierNav : public CHierDisplay
{
public:
	CHierNav(CHierDisplayInformation* hier_info);
	~CHierNav();

    //draw the canvas
    void Draw();

    //event handlers
    void InputMouseMotion(int x, int y);
    void InputButtonPress(int button, int x, int y);
    void InputButtonRelease(int button, int x, int y);
    void ShowCaption(const char* message);
	
};


/* SID */
extern void SetupBrushParameters();

extern void cfNavInit();

#endif

