//modified by Jing Yang after 7/6/2001
#ifndef CSunburstDimCluster_H
#define CSunburstDimCluster_H

#include "CSunburstCluster.H"

class CSunburstDimCluster : public CSunburstCluster
{
public:
	char* dim_name;  //name of the dimension presenting this node;
    double weight; //its weight when calculate its parent dimension. it is meanless for root node; 
	int okc_id; //dim id in okc and cg file
//    double disagreement;  //disagreement of this node;

public:
	CSunburstDimCluster();
	~CSunburstDimCluster();
    
    double Calculate(ARR<double> all_data);
    int Calculate(ARR<int> all_data);
    void CalculateWithDimClusterExtends(ARR<double> all_data, double &mean, double &max, double &min);
	
    void ResetNames();
    //reset selected mark;
    //mark: the new selected mark to be set;
    void ResetSelected(bool mark);

    void SizeStructureSelect(int threshold, bool mark );

    void RadiusStructureSelect(double threshold, bool mark );

    void ChangeSelectedStatus(bool mark);

protected:

};

#endif

