//modified by Jing Yang after 7/6/2001
#include "ogl.H"
#include "CSunburstDataDisplay.H"
#include "XmdvTool.H"
#include "colormap.H"
#include "magnify.H"
#include "brush_oper.H"

CSunburstDataDisplay::CSunburstDataDisplay() : CSunburstDisplay()
{
}


CSunburstDataDisplay::~CSunburstDataDisplay()
{
}


CSunburstClusterTree* CSunburstDataDisplay::GetTree()
{
    if ( tree )
        return tree;

    CSunburstDataClusterTree *data_tree = new CSunburstDataClusterTree();
    if ( data_tree->ConstructTree() )
        return data_tree;
    else 
    {
        delete data_tree;
        return NULL;
    }
}


void CSunburstDataDisplay::SunburstCaption(int x, int y)
{
    current_node = FindNode(x, y);
	if ( current_node == NULL )
		appShowSunburstCaption(Togl_Interp(canvas->GetWidget()),"");
	else
	{    
//		char stri[100];   
//	to be done	strcpy(stri, ((CSunburstDataCluster *)current_node)->dim_name);
//		appShowSunburstCaption(Togl_Interp(canvas->GetWidget()), stri);
	}
}


void CSunburstDataDisplay::InputMouseMotion(int x, int y)
{
    /*
    if (!tree) return;

    if ( screen_distortion->distortion_status == true )
    {
		near_mouse_mode = INACTIVE;

		if (mouse_mode == INACTIVE) 
		{
	        current_node = FindNode(x, y, start_node, end_node, in_node);

			if ( current_node != NULL )
			{
				if ( start_node )
				{
					canvas->SetCursor("right_side");
					near_mouse_mode = LEFT_DISTORTION_HANDLE;
				}
				else if ( end_node )
				{
					canvas->SetCursor("left_side");
					near_mouse_mode = RIGHT_DISTORTION_HANDLE;
				}
				else if ( in_node )
				{
//					canvas->SetCursor("sb_h_double_arrow");
					canvas->SetDefaultCursor();
					near_mouse_mode = MIDDLE_DISTORTION;
				}
				else 
				{
					canvas->SetDefaultCursor();
				}
			}

		}
		else
		{
			if (canvas->button[0] != true) return;

			double angle;
			switch(mouse_mode) {
			case LEFT_DISTORTION_HANDLE:
				if ( GetAngleAccordingXY(x, y, angle) )
					current_node->ChangeSweepAngle(true, angle, dtree->mini_angle); 
				appRefreshAllCanvas(Togl_Interp(canvas->GetWidget()));
				return;

			case RIGHT_DISTORTION_HANDLE:
				if ( GetAngleAccordingXY(x, y, angle) )
					current_node->ChangeSweepAngle(false, angle, dtree->mini_angle); 
				appRefreshAllCanvas(Togl_Interp(canvas->GetWidget()));
				return;

			case MIDDLE_DISTORTION: {
				appRefreshAllCanvas(Togl_Interp(canvas->GetWidget()));
				}

			default:
				break;
			}
		}
    }
	else
	{
		canvas->SetDefaultCursor();
		SunburstCaption(x, y);
	}
    */
}


void CSunburstDataDisplay::InputButtonPress(int button, int x, int y)
{
    /*
    if (!tree) return;

    if ( screen_distortion->distortion_status == true )
    {
	    if ( button == 0 )
	    {
//		    if ( screen_distortion->distortion_status )
		    {
			    if (near_mouse_mode!=INACTIVE) mouse_mode = near_mouse_mode;

			    InputMouseMotion(x, y);
		    }
	    }
    }
    else if ( dim_reducer->status == NORMAL )
    {
    }
    else if ( dim_reducer->status == SELECT )
    {
        if ( button == 0 )
        {
            current_node = FindNode(x, y);
            if ( current_node == NULL )
                return;
            if ( current_node->selected == false )
            {
                current_node->selected = true;
                dim_reducer->AddRepresentativeDim((CSunburstDimCluster *)current_node);
    		    char stri[100];   
	    	    strcpy(stri, ((CSunburstDimCluster *)current_node)->dim_name);
	    	    strcat(stri, " has been selected!");
		        appShowSunburstCaption(Togl_Interp(canvas->GetWidget()), stri);
            }
            else
            {
                current_node->selected = false;
                dim_reducer->DeleteRepresentativeDim((CSunburstDimCluster *)current_node);
    		    char stri[100];   
	    	    strcpy(stri, ((CSunburstDimCluster *)current_node)->dim_name);
	    	    strcat(stri, " has been unselected.");
		        appShowSunburstCaption(Togl_Interp(canvas->GetWidget()), stri);
            }
            canvas->Refresh();
        }
    } 
    */
}

void CSunburstDataDisplay::InputButtonRelease(int button, int x, int y)
{
    /*
    if (!tree) return;

    if ( screen_distortion->distortion_status == true )
    {
	    if ( button == 2 )
	    {
			if ( near_mouse_mode == MIDDLE_DISTORTION )
            {
                if ( current_node == NULL )
                    return;
                else
                {
                    if ( current_node->show_children == true )
                        current_node->show_children = false;
                    else 
                        current_node->show_children = true;
                    //dtree->ResetLevels();
                    canvas->Refresh();
                }
            }
	    }
    }
    near_mouse_mode = mouse_mode = INACTIVE;
	InputMouseMotion(x, y);
    */
}

